Bug 688366 - [JBPAPP-6121] EWS 1.0.2-CR1 + JON 2.4.1: Agent's exceptions during Tomcat shutdown
[JBPAPP-6121] EWS 1.0.2-CR1 + JON 2.4.1: Agent's exceptions during Tomcat shu...
Status: VERIFIED
Product: JBoss Enterprise Web Server 1
Classification: JBoss
Component: JON Plugin (Show other bugs)
1.0.2
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John Doyle
Mike Foley
:
Depends On:
Blocks: ews1.0.2
  Show dependency treegraph
 
Reported: 2011-03-16 17:33 EDT by Ondřej Žižka
Modified: 2015-02-01 18:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-03-16 17:33:29 EDT
STR:

1) Start Tomcat 5 in a console
2) tail -f the agent's log
3) Invoke the shutdown operation on Tomcat
4) See the following exception in the log.
5) Tomcat is shut down, at the end.

--------------------------------------------------------------------

2011-03-14 10:51:47,815 ERROR [ResourceContainer.invoker.nonDaemon-3] (jboss.on.plugins.tomcat.TomcatServerComponent)- Error closing Tomcat EMS connection: org.mc4j.ems.connection.EmsConnectException: Could not close connection java.rmi.ConnectException: Connection refused to host: 10.12.57.78; nested exception is:
java.net.ConnectException: Connection refused
2011-03-14 10:51:55,095 INFO [MeasurementManager.sender-1] (rhq.core.pc.measurement.MeasurementCollectorRunner)- Measurement collection for [5] metrics took 1ms - sending report to Server...
2011-03-14 10:52:17,832 INFO [ResourceContainer.invoker.nonDaemon-3] (org.mc4j.ems.connection.ConnectionFactory)- Discovered libraries in 10 ms
2011-03-14 10:52:17,832 INFO [ResourceContainer.invoker.nonDaemon-3] (jboss.on.plugins.tomcat.TomcatServerComponent)- Loading connection [service:jmx:rmi:///jndi/rmi://localhost:9876/jmxrmi] with install path [/ews/ews/tomcat5] and temp directory [/ews/rhq-agent/data/tmp]
2011-03-14 10:52:17,834 WARN [ResourceContainer.invoker.nonDaemon-3] (jboss.on.plugins.tomcat.TomcatServerComponent)- Could not establish connection to the Tomcat instance [1] times for resource [/ews/ews/tomcat5]
org.mc4j.ems.connection.EmsConnectException: Could not connect [service:jmx:rmi:///jndi/rmi://localhost:9876/jmxrmi] org.mc4j.ems.connection.EmsConnectException: IOException: Check service availability
at org.mc4j.ems.impl.jmx.connection.support.providers.AbstractConnectionProvider.connect(AbstractConnectionProvider.java:102)
at org.jboss.on.plugins.tomcat.TomcatServerComponent.loadConnection(TomcatServerComponent.java:222)
at org.jboss.on.plugins.tomcat.TomcatServerComponent.getAvailability(TomcatServerComponent.java:343)
at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.waitForServerToShutdown(TomcatServerOperationsDelegate.java:496)
at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.shutdown(TomcatServerOperationsDelegate.java:279)
at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.shutdown(TomcatServerOperationsDelegate.java:274)
at org.jboss.on.plugins.tomcat.TomcatServerOperationsDelegate.invoke(TomcatServerOperationsDelegate.java:128)
at org.jboss.on.plugins.tomcat.TomcatServerComponent.invokeOperation(TomcatServerComponent.java:424)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
at java.util.concurrent.FutureTask.run(FutureTask.java:138)
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
at java.lang.Thread.run(Thread.java:662)
Caused by: org.mc4j.ems.connection.EmsConnectException: IOException: Check service availability
at org.mc4j.ems.impl.jmx.connection.support.providers.JMXRemotingConnectionProvider.doConnect(JMXRemotingConnectionProvider.java:161)
at org.mc4j.ems.impl.jmx.connection.support.providers.AbstractConnectionProvider.connect(AbstractConnectionProvider.java:97)
... 17 more
Caused by: java.io.IOException: Failed to retrieve RMIServer stub: javax.naming.ServiceUnavailableException [Root exception is java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
java.net.ConnectException: Connection refused]
at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:338)
at javax.management.remote.JMXConnectorFactory.connect(JMXConnectorFactory.java:248)
at org.mc4j.ems.impl.jmx.connection.support.providers.JMXRemotingConnectionProvider.doConnect(JMXRemotingConnectionProvider.java:142)
... 18 more
Caused by: javax.naming.ServiceUnavailableException [Root exception is java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
java.net.ConnectException: Connection refused]
at com.sun.jndi.rmi.registry.RegistryContext.lookup(RegistryContext.java:101)
at com.sun.jndi.toolkit.url.GenericURLContext.lookup(GenericURLContext.java:185)
at javax.naming.InitialContext.lookup(InitialContext.java:392)
at javax.management.remote.rmi.RMIConnector.findRMIServerJNDI(RMIConnector.java:1886)
at javax.management.remote.rmi.RMIConnector.findRMIServer(RMIConnector.java:1856)
at javax.management.remote.rmi.RMIConnector.connect(RMIConnector.java:257)
... 20 more
Caused by: java.rmi.ConnectException: Connection refused to host: localhost; nested exception is:
java.net.ConnectException: Connection refused
at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:601)
at sun.rmi.transport.tcp.TCPChannel.createConnection(TCPChannel.java:198)
at sun.rmi.transport.tcp.TCPChannel.newConnection(TCPChannel.java:184)
at sun.rmi.server.UnicastRef.newCall(UnicastRef.java:322)
at sun.rmi.registry.RegistryImpl_Stub.lookup(Unknown Source)
at com.sun.jndi.rmi.registry.RegistryContext.lookup(RegistryContext.java:97)
... 25 more
Caused by: java.net.ConnectException: Connection refused
at java.net.PlainSocketImpl.socketConnect(Native Method)
at java.net.PlainSocketImpl.doConnect(PlainSocketImpl.java:333)
at java.net.PlainSocketImpl.connectToAddress(PlainSocketImpl.java:195)
at java.net.PlainSocketImpl.connect(PlainSocketImpl.java:182)
at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:366)
at java.net.Socket.connect(Socket.java:529)
at java.net.Socket.connect(Socket.java:478)
at java.net.Socket.<init>(Socket.java:375)
at java.net.Socket.<init>(Socket.java:189)
at sun.rmi.transport.proxy.RMIDirectSocketFactory.createSocket(RMIDirectSocketFactory.java:22)
at sun.rmi.transport.proxy.RMIMasterSocketFactory.createSocket(RMIMasterSocketFactory.java:128)
at sun.rmi.transport.tcp.TCPEndpoint.newSocket(TCPEndpoint.java:595)
... 30 more
Comment 1 Charles Crouch 2012-10-11 15:18:19 EDT
Moved to the JON product BZ to make tracking it easier.
Comment 2 mark yarborough 2012-11-12 15:25:36 EST
myarboro determine owner in EWS product team.
Comment 6 Jean-frederic Clere 2013-06-27 00:42:40 EDT
tomcat5 is not in EWS 2.0.x
Comment 7 Libor Fuka 2013-11-19 04:36:17 EST
I retest it with EWS 1.0.2.GA Tomcat5 + JON 3.2.0.ER5 + Oracle JDK 1.7 on Sun Solaris Intel and there is no longer the error above in agent.log.

VERIFIED

Note You need to log in before you can comment on or make changes to this bug.